
import request from '@/utils/request'

/***************************************************** hello world ****************************************************/

export function getPintuanGroupList(params: AnyObject) {
    return request.get(`pintuan/pages`,params)
}


export function getPintuanDetail(params: AnyObject) {
    return request.get(`pintuan/detail`,params)
}

export function getPintuanComponentsGoods(params: AnyObject) {
    return request.get(`pintuan/components`,params)
}

export function getPintuanComponentsTotal() {
    return request.get(`pintuan/components/total`)
}

// 拼团列表
export function getPintuanGroupListApi(params: AnyObject) {
    return request.get(`pintuan/group/list/${params.pintuan_id}`,params)
}

// 检测是否能加入拼团
export function checkPintuanGroupApi(params: AnyObject) {
    return request.post(`pintuan/group/check`,params)
}

// 拼团配置
export function getPintuanConfig() {
    return request.get(`pintuan/config`)
}
// 拼团进度
export function pintuanGroupProcessApi(params: AnyObject) {
    return request.get(`pintuan/group/process`,params)
}
/**
 * 获取拼团商品详情弹幕数据
 * @returns
 */
export function getPintuanBuyerInfo(params: Record<string, any>) {
    return request.get(`pintuan/buyer`, params)
}